searchData={"items":[{"type":"module","title":"UkraineTaxidEx","doc":"Documentation for `UkraineTaxidEx`.","ref":"UkraineTaxidEx.html"},{"type":"behaviour","title":"UkraineTaxidEx.Base","doc":"","ref":"UkraineTaxidEx.Base.html"},{"type":"callback","title":"UkraineTaxidEx.Base.length/0","doc":"","ref":"UkraineTaxidEx.Base.html#c:length/0"},{"type":"callback","title":"UkraineTaxidEx.Base.parse/2","doc":"","ref":"UkraineTaxidEx.Base.html#c:parse/2"},{"type":"callback","title":"UkraineTaxidEx.Base.to_map/1","doc":"","ref":"UkraineTaxidEx.Base.html#c:to_map/1"},{"type":"callback","title":"UkraineTaxidEx.Base.to_string/1","doc":"","ref":"UkraineTaxidEx.Base.html#c:to_string/1"},{"type":"behaviour","title":"UkraineTaxidEx.BaseParser","doc":"","ref":"UkraineTaxidEx.BaseParser.html"},{"type":"callback","title":"UkraineTaxidEx.BaseParser.parse/2","doc":"","ref":"UkraineTaxidEx.BaseParser.html#c:parse/2"},{"type":"type","title":"UkraineTaxidEx.BaseParser.options/0","doc":"Options for parsing:\n- `:normalize?` - if true, pad the string to the right length (8 for EDRPOU, 10 for ITIN)\n- `:clean?` - if true, remove non-digit characters","ref":"UkraineTaxidEx.BaseParser.html#t:options/0"},{"type":"behaviour","title":"UkraineTaxidEx.BaseValidator","doc":"","ref":"UkraineTaxidEx.BaseValidator.html"},{"type":"callback","title":"UkraineTaxidEx.BaseValidator.validate/1","doc":"","ref":"UkraineTaxidEx.BaseValidator.html#c:validate/1"},{"type":"callback","title":"UkraineTaxidEx.BaseValidator.violates_checksum?/1","doc":"","ref":"UkraineTaxidEx.BaseValidator.html#c:violates_checksum?/1"},{"type":"callback","title":"UkraineTaxidEx.BaseValidator.violates_length?/1","doc":"","ref":"UkraineTaxidEx.BaseValidator.html#c:violates_length?/1"},{"type":"callback","title":"UkraineTaxidEx.BaseValidator.violates_length_too_long?/1","doc":"","ref":"UkraineTaxidEx.BaseValidator.html#c:violates_length_too_long?/1"},{"type":"callback","title":"UkraineTaxidEx.BaseValidator.violates_length_too_short?/1","doc":"","ref":"UkraineTaxidEx.BaseValidator.html#c:violates_length_too_short?/1"},{"type":"module","title":"UkraineTaxidEx.Commons","doc":"Common functions for UkraineTaxidEx.","ref":"UkraineTaxidEx.Commons.html"},{"type":"function","title":"UkraineTaxidEx.Commons.check_digit/1","doc":"Gets the check digit (last digit) from a list of digits.","ref":"UkraineTaxidEx.Commons.html#check_digit/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.check_digit/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.check_digit([1, 2, 3, 4])\n    4\n```","ref":"UkraineTaxidEx.Commons.html#check_digit/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.digits/3","doc":"Converts a string or integer to a list of digits.\nTakes a value and optional length and clean parameters.\nWhen length is provided, pads the result with leading zeros.\nWhen clean is true, remove all non digit character from string.\nReturns list of digits as integers.","ref":"UkraineTaxidEx.Commons.html#digits/3"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.digits/3","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.digits(\"123\")\n    [1, 2, 3]\n\n    iex> UkraineTaxidEx.Commons.digits(123, 5)\n    [0, 0, 1, 2, 3]\n\n    iex> UkraineTaxidEx.Commons.digits(\"987\", 5)\n    [0, 0, 9, 8, 7]\n```","ref":"UkraineTaxidEx.Commons.html#digits/3-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.digits_and_check_digit/1","doc":"Return digits and check digit separatly in one tuple.","ref":"UkraineTaxidEx.Commons.html#digits_and_check_digit/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.digits_and_check_digit/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.digits_and_check_digit([1, 2, 3, 4])\n    {[1, 2, 3, 4], 4}\n```","ref":"UkraineTaxidEx.Commons.html#digits_and_check_digit/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.error/1","doc":"Wraps error in an :error tuple.","ref":"UkraineTaxidEx.Commons.html#error/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.error/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.error(\"error\")\n    {:error, \"error\"}\n```","ref":"UkraineTaxidEx.Commons.html#error/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.normalize/2","doc":"Normalizes the input value to a string of the specified length.\nTakes a value and required length parameter.\nPads the result with leading zeros.\nReturns a string.","ref":"UkraineTaxidEx.Commons.html#normalize/2"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.normalize/2","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.normalize(123, 5)\n    \"00123\"\n\n    iex> UkraineTaxidEx.Commons.normalize(\"987\", 5)\n    \"00987\"\n```","ref":"UkraineTaxidEx.Commons.html#normalize/2-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.ok/1","doc":"Wraps data in an :ok tuple.","ref":"UkraineTaxidEx.Commons.html#ok/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.ok/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.ok(\"data\")\n    {:ok, \"data\"}\n```","ref":"UkraineTaxidEx.Commons.html#ok/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.undigits/1","doc":"Converts list of digits to a string.","ref":"UkraineTaxidEx.Commons.html#undigits/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.undigits/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.undigits([1, 2, 3])\n    \"123\"\n```","ref":"UkraineTaxidEx.Commons.html#undigits/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.value_and_check_digits/1","doc":"Splits a list of digits into value digits and check digit.","ref":"UkraineTaxidEx.Commons.html#value_and_check_digits/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.value_and_check_digits/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.value_and_check_digits([1, 2, 3, 4])\n    {[1, 2, 3], 4}\n```","ref":"UkraineTaxidEx.Commons.html#value_and_check_digits/1-examples"},{"type":"function","title":"UkraineTaxidEx.Commons.value_digits/1","doc":"Gets all digits except the check digit from a list of digits.","ref":"UkraineTaxidEx.Commons.html#value_digits/1"},{"type":"function","title":"Examples - UkraineTaxidEx.Commons.value_digits/1","doc":"```elixir\n    iex> UkraineTaxidEx.Commons.value_digits([1, 2, 3, 4])\n    [1, 2, 3]\n```","ref":"UkraineTaxidEx.Commons.html#value_digits/1-examples"},{"type":"type","title":"UkraineTaxidEx.Commons.digit/0","doc":"A one digit of EDRPOU or ITIN it's non-negative integer from 0 to 9","ref":"UkraineTaxidEx.Commons.html#t:digit/0"},{"type":"type","title":"UkraineTaxidEx.Commons.digits/0","doc":"List of digits of EDRPOU or ITIN","ref":"UkraineTaxidEx.Commons.html#t:digits/0"},{"type":"module","title":"UkraineTaxidEx.Edrpou","doc":"Documentation for `UkraineTaxidEx.Edrpou`.\n\nThe EDRPOU is a unique 8-digit number that identifies legal entities in Ukraine. It is issued to all companies when they are formed and registered in the official business register. The Unified State Register of Enterprises and Organizations of Ukraine (USREOU/EDRPOU) is an automated system that collects, stores, and processes data on legal entities in Ukraine.","ref":"UkraineTaxidEx.Edrpou.html"},{"type":"function","title":"UkraineTaxidEx.Edrpou.length/0","doc":"Returns the length of the code.","ref":"UkraineTaxidEx.Edrpou.html#length/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.t/0","doc":"","ref":"UkraineTaxidEx.Edrpou.html#t:t/0"},{"type":"module","title":"UkraineTaxidEx.Edrpou.CheckSum","doc":"","ref":"UkraineTaxidEx.Edrpou.CheckSum.html"},{"type":"function","title":"UkraineTaxidEx.Edrpou.CheckSum.check_sum/1","doc":"Calculate checksum for EDRPOU number.\n  The checksum for EDRPOU is calculated in several steps:\n  1. Define the type of weights (base or alternative) as described in `weights_type/1`\n  2. Multiply each digit by its corresponding weight\n  3. Sum the products\n  4. Take mod 11 of the sum\n  5. If mod 11 is greater or equal than 10, repeat steps 2-4 with weights +2","ref":"UkraineTaxidEx.Edrpou.CheckSum.html#check_sum/1"},{"type":"function","title":"UkraineTaxidEx.Edrpou.CheckSum.weights/2","doc":"Returns a list of weights used for EDRPOU check sum calculation.\n  When double_added is true, adds 2 to each weight in the list.","ref":"UkraineTaxidEx.Edrpou.CheckSum.html#weights/2"},{"type":"function","title":"Parameters - UkraineTaxidEx.Edrpou.CheckSum.weights/2","doc":"- type: `:base` or `:alternative` weights pattern\n    - double_added: when true, adds 2 to each weight","ref":"UkraineTaxidEx.Edrpou.CheckSum.html#weights/2-parameters"},{"type":"function","title":"Examples - UkraineTaxidEx.Edrpou.CheckSum.weights/2","doc":"```elixir\n      iex> weights(:base)\n      [1, 2, 3, 4, 5, 6, 7]\n\n      iex> weights(:alternative)\n      [7, 1, 2, 3, 4, 5, 6]\n\n      iex> weights(:base, true)\n      [3, 4, 5, 6, 7, 8, 9]\n\n      iex> weights(:alternative, true)\n      [9, 3, 4, 5, 6, 7, 8]\n  ```","ref":"UkraineTaxidEx.Edrpou.CheckSum.html#weights/2-examples"},{"type":"type","title":"UkraineTaxidEx.Edrpou.CheckSum.weights_type/0","doc":"Coefficients (weights) for digits to calculate EDRPOU check sum may be two types:\n  base (`[1, 2, 3, 4, 5, 6, 7] for EDRPOU < 30M or EDRPOU > 60M`)\n  or alternative (`[7, 1, 2, 3, 4, 5, 6] if EDRPOU between 30M and 60M`)","ref":"UkraineTaxidEx.Edrpou.CheckSum.html#t:weights_type/0"},{"type":"module","title":"UkraineTaxidEx.Edrpou.Error","doc":"","ref":"UkraineTaxidEx.Edrpou.Error.html"},{"type":"function","title":"UkraineTaxidEx.Edrpou.Error.message/1","doc":"","ref":"UkraineTaxidEx.Edrpou.Error.html#message/1"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Error.error/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Error.html#t:error/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Error.errors/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Error.html#t:errors/0"},{"type":"module","title":"UkraineTaxidEx.Edrpou.Parser","doc":"Parser module for EDRPOU (Unified State Register of Ukrainian Enterprises and Organizations) codes.\nHandles validation and structure creation for EDRPOU codes with additional options for normalization and cleaning.\n\nParses an EDRPOU code string into a structured format (clean and normalize, validate and decompo).\nOptions:\n- normalize?: When true, pads string to full EDRPOU length. Defaults to false.\n- clean?: When true, removes non-digit characters before processing. Defaults to false.\nReturns {:ok, %Edrpou{}} for valid codes or {:error, reason} for invalid.","ref":"UkraineTaxidEx.Edrpou.Parser.html"},{"type":"module","title":"Examples - UkraineTaxidEx.Edrpou.Parser","doc":"```elixir\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"00032112\")\n    {:ok, %UkraineTaxidEx.Edrpou{code: \"00032112\", check_digit: 2, check_sum: 2}}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse({:ok, \"00032112\"})\n    {:ok, %UkraineTaxidEx.Edrpou{code: \"00032112\", check_digit: 2, check_sum: 2}}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"32129\", normalize?: true)\n    {:ok, %UkraineTaxidEx.Edrpou{code: \"00032129\", check_digit: 9, check_sum: 9}}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"9 30test62 78\", normalize?: true, clean?: true)\n    {:ok, %UkraineTaxidEx.Edrpou{code: \"09306278\", check_digit: 8, check_sum: 8}}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"123\")\n    {:error, :length_too_short}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"123456789\")\n    {:error, :length_too_long}\n\n    iex> UkraineTaxidEx.Edrpou.Parser.parse(\"123\", normalize?: true)\n    {:error, :invalid_checksum}\n```","ref":"UkraineTaxidEx.Edrpou.Parser.html#module-examples"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Parser.edrpou/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Parser.html#t:edrpou/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Parser.edrpou_or_error/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Parser.html#t:edrpou_or_error/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Parser.edrpou_string/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Parser.html#t:edrpou_string/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Parser.string_or_ok/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Parser.html#t:string_or_ok/0"},{"type":"type","title":"UkraineTaxidEx.Edrpou.Parser.struct_or_error/0","doc":"","ref":"UkraineTaxidEx.Edrpou.Parser.html#t:struct_or_error/0"},{"type":"module","title":"UkraineTaxidEx.Edrpou.Validator","doc":"Functions for validating EDRPOU number format and checksum.\n\nThis module provides validation functions to verify if an EDRPOU number meets the standard requirements including length and checksum validation.\n\nValidates an EDRPOU number to check if it meets length requirements and has a valid checksum.\n\nReturns:\n * `{:ok, edrpou}` if validation successful\n * `{:error, :length_too_short}` if shorter than required length\n * `{:error, :length_too_long}` if longer than required length\n * `{:error, :invalid_checksum}` if checksum is invalid","ref":"UkraineTaxidEx.Edrpou.Validator.html"},{"type":"module","title":"Examples - UkraineTaxidEx.Edrpou.Validator","doc":"```elixir\n    iex> UkraineTaxidEx.Edrpou.Validator.validate(\"00032112\")\n    {:ok, \"00032112\"}\n\n    iex> UkraineTaxidEx.Edrpou.Validator.validate(\"0003211\")\n    {:error, :length_too_short}\n\n    iex> UkraineTaxidEx.Edrpou.Validator.validate(\"000321122\")\n    {:error, :length_too_long}\n\n    iex> UkraineTaxidEx.Edrpou.Validator.validate(\"00032113\")\n    {:error, :invalid_checksum}\n```","ref":"UkraineTaxidEx.Edrpou.Validator.html#module-examples"},{"type":"function","title":"UkraineTaxidEx.Edrpou.Validator.violates_checksum?/1","doc":"Check whether a given EDRPOU has correct checksum","ref":"UkraineTaxidEx.Edrpou.Validator.html#violates_checksum?/1"},{"type":"function","title":"UkraineTaxidEx.Edrpou.Validator.violates_length?/1","doc":"Check whether a given EDRPOU violates the required length","ref":"UkraineTaxidEx.Edrpou.Validator.html#violates_length?/1"},{"type":"function","title":"UkraineTaxidEx.Edrpou.Validator.violates_length_too_long?/1","doc":"Check whether a given EDRPOU too long","ref":"UkraineTaxidEx.Edrpou.Validator.html#violates_length_too_long?/1"},{"type":"function","title":"UkraineTaxidEx.Edrpou.Validator.violates_length_too_short?/1","doc":"Check whether a given EDRPOU too short","ref":"UkraineTaxidEx.Edrpou.Validator.html#violates_length_too_short?/1"},{"type":"module","title":"UkraineTaxidEx.Itin","doc":"Documentation for `UkraineTaxidEx.Itin`.\n\nThe ITIN is a unique 10-digit number that identifies individuals in Ukraine. It is issued to all individuals when they are registered in the official tax register. The Individual Taxpayer Identification Number (ITIN) is an automated system that collects, stores, and processes data on individuals in Ukraine.","ref":"UkraineTaxidEx.Itin.html"},{"type":"function","title":"UkraineTaxidEx.Itin.length/0","doc":"Returns the length of the code.","ref":"UkraineTaxidEx.Itin.html#length/0"},{"type":"type","title":"UkraineTaxidEx.Itin.gender/0","doc":"","ref":"UkraineTaxidEx.Itin.html#t:gender/0"},{"type":"type","title":"UkraineTaxidEx.Itin.t/0","doc":"","ref":"UkraineTaxidEx.Itin.html#t:t/0"},{"type":"module","title":"UkraineTaxidEx.Itin.CheckSum","doc":"Module for calculating the checksum of Ukrainian Individual Tax Identification Numbers (ITIN).\nProvides functions for checksum calculation based on weighted digits and helper functions\nfor working with ITIN weights and dividers. Uses specified numerical weights to multiply\neach digit of the ITIN and validate its authenticity.","ref":"UkraineTaxidEx.Itin.CheckSum.html"},{"type":"function","title":"UkraineTaxidEx.Itin.CheckSum.check_sum/2","doc":"Calculate checksum for ITIN number.\n  The checksum for ITIN is calculated in several steps:\n  1. Multiply each digit by its corresponding weight\n  2. Sum the products\n  3. Take mod 11 of the sum\n  4. If mod 11 is greater or equal than 10, repeat steps 2-4 with weights +2","ref":"UkraineTaxidEx.Itin.CheckSum.html#check_sum/2"},{"type":"function","title":"UkraineTaxidEx.Itin.CheckSum.weights/0","doc":"Returns the list of numerical weights used to calculate the ITIN checksum.\nEach digit in the ITIN is multiplied by its corresponding weight.","ref":"UkraineTaxidEx.Itin.CheckSum.html#weights/0"},{"type":"module","title":"UkraineTaxidEx.Itin.Error","doc":"","ref":"UkraineTaxidEx.Itin.Error.html"},{"type":"function","title":"UkraineTaxidEx.Itin.Error.message/1","doc":"","ref":"UkraineTaxidEx.Itin.Error.html#message/1"},{"type":"type","title":"UkraineTaxidEx.Itin.Error.error/0","doc":"","ref":"UkraineTaxidEx.Itin.Error.html#t:error/0"},{"type":"type","title":"UkraineTaxidEx.Itin.Error.errors/0","doc":"","ref":"UkraineTaxidEx.Itin.Error.html#t:errors/0"},{"type":"module","title":"UkraineTaxidEx.Itin.Parser","doc":"This module provides parsing functionality for Ukrainian Individual Taxpayer Identification Numbers (ITIN).\n\nITINs (also known as РНОКПП/ІПН) are unique identifiers assigned to individuals in Ukraine for tax purposes.\nThe parser validates the number format and extracts meaningful components like the checksum according to\nofficial requirements.\n\nKey features:\n- Validates ITIN format and length\n- Calculates and verifies checksum\n- Parses components into a structured format\n- Handles both raw strings and pre-validated input\n\nExamples of successful ITIN parsing:\n\n```elixir\n    iex> UkraineTaxidEx.Itin.Parser.parse(\"2222222222\")\n    {:ok, %UkraineTaxidEx.Itin{code: \"2222222222\", birth_date: ~D[1960-12-17], number: 2222, gender: 0, check_sum: 2, check_digit: 2}}\n\n    iex> UkraineTaxidEx.Itin.Parser.parse(\"3333333333\")\n    {:ok, %UkraineTaxidEx.Itin{code: \"3333333333\", birth_date: ~D[1991-03-05], number: 3333, gender: 1, check_sum: 3, check_digit: 3}}\n```\n\nExamples of unsuccessful ITIN parsing:\n\n```elixir\n    iex> UkraineTaxidEx.Itin.Parser.parse(\"123456\")\n    {:error, :length_too_short}\n\n    iex> UkraineTaxidEx.Itin.Parser.parse(\"12345678901\")\n    {:error, :length_too_long}\n\n    iex> UkraineTaxidEx.Itin.Parser.parse(\"1234567890\")\n    {:error, :invalid_checksum}\n```","ref":"UkraineTaxidEx.Itin.Parser.html"},{"type":"function","title":"UkraineTaxidEx.Itin.Parser.base_date/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#base_date/0"},{"type":"function","title":"UkraineTaxidEx.Itin.Parser.birth_date/1","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#birth_date/1"},{"type":"function","title":"UkraineTaxidEx.Itin.Parser.gender/1","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#gender/1"},{"type":"function","title":"UkraineTaxidEx.Itin.Parser.number/1","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#number/1"},{"type":"type","title":"UkraineTaxidEx.Itin.Parser.itin/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#t:itin/0"},{"type":"type","title":"UkraineTaxidEx.Itin.Parser.itin_or_error/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#t:itin_or_error/0"},{"type":"type","title":"UkraineTaxidEx.Itin.Parser.itin_string/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#t:itin_string/0"},{"type":"type","title":"UkraineTaxidEx.Itin.Parser.string_or_ok/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#t:string_or_ok/0"},{"type":"type","title":"UkraineTaxidEx.Itin.Parser.struct_or_error/0","doc":"","ref":"UkraineTaxidEx.Itin.Parser.html#t:struct_or_error/0"},{"type":"module","title":"UkraineTaxidEx.Itin.Validator","doc":"Validator module for Ukrainian Individual Taxpayer Identification Number (ITIN/IPN).\nHandles validation of ITIN numbers according to Ukrainian tax authority requirements.\n\nValidates an ITIN number to check if it meets length requirements and has a valid checksum.\n\nReturns:\n * `{:ok, itin}` if validation successful\n * `{:error, :length_too_short}` if shorter than required length\n * `{:error, :length_too_long}` if longer than required length\n * `{:error, :invalid_checksum}` if checksum is invalid\n\nExamples:\n\n```elixir\n    iex> UkraineTaxidEx.Itin.Validator.validate(\"3184710691\")\n    {:ok, \"3184710691\"}\n\n    iex> UkraineTaxidEx.Itin.Validator.validate(\"123456\")\n    {:error, :length_too_short}\n\n    iex> UkraineTaxidEx.Itin.Validator.validate(\"12345678901\")\n    {:error, :length_too_long}\n\n    iex> UkraineTaxidEx.Itin.Validator.validate(\"3184710692\")\n    {:error, :invalid_checksum}\n```","ref":"UkraineTaxidEx.Itin.Validator.html"},{"type":"function","title":"UkraineTaxidEx.Itin.Validator.violates_checksum?/1","doc":"Check whether a given EDRPOU has correct checksum","ref":"UkraineTaxidEx.Itin.Validator.html#violates_checksum?/1"},{"type":"function","title":"UkraineTaxidEx.Itin.Validator.violates_length?/1","doc":"Check whether a given EDRPOU violates the required length","ref":"UkraineTaxidEx.Itin.Validator.html#violates_length?/1"},{"type":"function","title":"UkraineTaxidEx.Itin.Validator.violates_length_too_long?/1","doc":"Check whether a given EDRPOU too long","ref":"UkraineTaxidEx.Itin.Validator.html#violates_length_too_long?/1"},{"type":"function","title":"UkraineTaxidEx.Itin.Validator.violates_length_too_short?/1","doc":"Check whether a given EDRPOU too short","ref":"UkraineTaxidEx.Itin.Validator.html#violates_length_too_short?/1"},{"type":"module","title":"UkraineTaxidEx.Serialize","doc":"","ref":"UkraineTaxidEx.Serialize.html"},{"type":"function","title":"UkraineTaxidEx.Serialize.to_map/1","doc":"","ref":"UkraineTaxidEx.Serialize.html#to_map/1"},{"type":"function","title":"UkraineTaxidEx.Serialize.to_string/1","doc":"","ref":"UkraineTaxidEx.Serialize.html#to_string/1"},{"type":"extras","title":"UkraineTaxidEx","doc":"# UkraineTaxidEx\n\nLibrary to parse and validate EDRPOU (unique 8-digit number that identifies legal entities in Ukraine registered in the official business register) and ITIN (unique identification number assigned to individuals for tax purposes)","ref":"readme.html"},{"type":"extras","title":"Installation - UkraineTaxidEx","doc":"The package can be installed by adding `ukraine_tax_id` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ukraine_tax_id, \"~> 0.1.1\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}